| Home · All Classes · All Namespaces · Modules · Functions · Files

# ContactCapabilitiesMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- ContactCapabilitiesMap ()
- ContactCapabilitiesMap (const QMap< uint, RequestableChannelClassList > &a)
- ContactCapabilitiesMap & operator= (const QMap< uint, RequestableChannelClassList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, RequestableChannelClassList>, but needed to have a discrete type in the Qt4 type system.

A mapping from contact handle to their capabilities.

## Constructor & Destructor Documentation

ContactCapabilitiesMap | ( |  | ) | `[inline]`

ContactCapabilitiesMap | ( | const QMap< uint, RequestableChannelClassList > & | a | ) | `[inline]`

## Member Function Documentation

ContactCapabilitiesMap& operator= | ( | const QMap< uint, RequestableChannelClassList > & | a | ) | `[inline]`